de.caff.util.settings.swing

## Class AbstractBasicSimpleEditableChangeableItem

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem

- All Implemented Interfaces:
    ChangeableItem, EditableProperty, java.io.Serializable
  Direct Known Subclasses:
    EnumCheckedProxyProperty, FixValueProperty, SwingBooleanProperty, SwingColorProperty, SwingDirectoryPreferenceProperty, SwingEnumProperty, SwingFormattedStringProperty, SwingNumberProperty, SwingStringProperty, SwingTextProperty, SwingUrlListPreferenceProperty

      abstract class AbstractBasicSimpleEditableChangeableItem
      extends AbstractBasicLocalizableChangeableItem
      implements EditableProperty

  Basic implementation for simple editable preference properties. This takes care of i18n by trying to get the localized label, tooltip etc by adding the i18n suffix constants in `I18n` to the basic tag.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicSimpleEditableChangeableItem(java.lang.String basicName, java.lang.String baseTag)`

  - ### Method Summary

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getEditorProvider, getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### AbstractBasicSimpleEditableChangeableItem

          protected AbstractBasicSimpleEditableChangeableItem(@NotNull
                                                              java.lang.String basicName,
                                                              @NotNull
                                                              java.lang.String baseTag)

      Parameters:
        `basicName` - basic name (prefix)
        `baseTag` - basic i18n tag